;  COMPUTES calendar date from julian day
;	input jday and year (eg 59, 2002)
 
pro get_calendar_date,yyyy,jday,mon,cday

    yyyy=yyyy*1
    jday=jday*1
    days=[0,31,28,31,30,31,30,31,31,30,31,30,31]
	if( (yyyy mod 4 eq 0 and yyyy mod 100 ne 0) or yyyy mod 400 eq 0) $
          then days(2)=days(2)+1
	tot_days=intarr(13)
	for ddd=1,12 do begin
        tot_days(ddd)=total(days(0:ddd))
        delt=jday- tot_days(ddd)
        
        if(delt le 0) then begin
            mon=ddd
            cday=days[ddd]+delt
           goto, jump
        endif

    endfor

jump: 

  if(jday gt total(days) or jday le 0) then begin
      print, 'You input a wrong jday:',jday,'  for year:',yyyy
      stop
  endif
;print,format='("Julian day ",i3,"/", i4," is Calendar date ",i2,"/",i2)',$
;      jday,yyyy,mon,cday 


end

