 function get_event,txtfile
;#####################################################################
;## Get rain events, write each event into each file                ##
;## Also pass txt header to main                                    ##
;## Event defined as gap <=15 mins                                  ##
;#####################################################################


    if(file_test(txtfile) eq 0) then goto, Escape
    event_gap=900   ;sec in 15 mins
    
    openr,lun_txt,txtfile,/get_lun

    line=''
    header=''

    readf,lun_txt,header
    a=strsplit(header,' ',/extract)  
    gauge=a[0]
    nevent=1               ;   number of events
    n=0                    ;   number of records
    time0=0L 

    if (file_test('EVENTS',/directory ) eq 0) then file_mkdir, 'EVENTS'
    if (file_test('EVENTS/*.*') eq 1) then spawn, 'rm EVENTS/*.*'
    eventfile="EVENTS/" +gauge + '.' + string(nevent,format='(i04)')         
    openw,lun_event,eventfile,/get_lun
    readf,lun_txt,line

    while(not eof(lun_txt)) do begin
        readf,lun_txt,line        
        a=strsplit(line,' ',/extract)
        year=a[0]
        mon=a[1]
        mday=a[2]
        jday=a[3]
        hr=a[4]
        min=a[5]
        sec=a[6]
        tip=a[7]
	time=sec*1+min*60+hr*3600L+(jday-1)*24*3600L
	if( (n ne 0 ) and ((time-time0) gt event_gap) ) then begin ;new event
            free_lun,lun_event
            nevent++
            eventfile="EVENTS/" +gauge + '.' +string(nevent,format='(i04)')
            openw,lun_event,eventfile,/get_lun 
	endif
        printf,lun_event, line
        time0=time
        n++ 

    endwhile
    free_lun,lun_event
    free_lun,lun_txt
    
    return, header

    Escape:

end
