#!/usr/bin/perl


#  --- tgz & scp GAG, GMIN, 2A56  to hector  ------


$nargs = 1;
if ($#ARGV != $nargs-1) {
	 print STDERR "Usage: $0 YEAR \n";
	 print STDERR " e.g.: $0 2014 \n";
	 exit;
}

$year=shift;

$net='WFF';
$site='VIRGINIA' if($net eq 'WFF');

$out_dir="hector.gsfc.nasa.gov:/gpmraid/gpmarchive/Gauge/";


#--------- gag ---------------------
$in_dir="GAG_QCed/$year/";
chdir $in_dir;
$tgz="GAG_". $net ."_". $year.".tgz";

$gag=$net."*gag";
system("tar cfz $tgz $gag");

$dir=$out_dir.'/GAG/'. $site .'/'.$net.'/'.$year.'/';
system("scp *tgz  $dir");


#--------- gmin ---------------------
$in_dir="/home/wang/Wallops_assorted_gauges/GMIN/$year/";
chdir $in_dir;
$tgz="GMIN_". $net ."_". $year.".tgz";

$gmin=$net."*gmin";
system("tar cfz $tgz $gmin");

$dir=$out_dir.'/GMIN/'. $site .'/'.$net.'/'.$year.'/';
system("scp *tgz  $dir");



#--------- 2a56 ---------------------
$in_dir="/home/wang/Wallops_assorted_gauges/2A56/$year/";
chdir $in_dir;
$tgz="2A56_". $net ."_". $year.".tgz";

$f='2A56_'.$net."*asc";
system("tar cfz $tgz $f");

$dir=$out_dir.'/2A56/'. $site .'/'.$net.'/'.$year.'/';
system("scp *tgz  $dir");
