pro totalsec_to_jdayhhmmss, total_sec, julday, hr, min, sec


;##########################################################################
;##  get Julian day, hr, min & sec from total seconds in the year        ##
;##  usage: (julday,hr,min,sec)=&totalsec_to_jdayhhmmss(total_sec)  ##
;##########################################################################

	jday=fix(total_sec/(24*3600L))
	hr=fix((total_sec-jday*24*3600L)/3600)
	min=fix((total_sec-jday*24*3600L-hr*3600L)/60)
	sec=total_sec-jday*24*3600L-hr*3600-min*60
	julday=jday+1
;#	print "total_sec==> julday hr:min:sec"


end
